package org.zeroturnaround.javarebel.velocity;

import org.zeroturnaround.javarebel.ClassResourceSource;
import org.zeroturnaround.javarebel.IntegrationFactory;
import org.zeroturnaround.javarebel.Plugin;
import org.zeroturnaround.javarebel.velocity.cbp.ClassMapCBP;

public class VelocityPlugin implements Plugin {

	public void preinit() {
		ClassLoader cl = VelocityPlugin.class.getClassLoader();

	    IntegrationFactory.getInstance().addIntegrationProcessor(
	        cl,
	        "org.apache.velocity.util.introspection.ClassMap", 
	        new ClassMapCBP()
	    );
	}

	public boolean checkDependencies(ClassLoader cl, ClassResourceSource crs) {
		return crs.getClassResource("org.apache.velocity.util.introspection.ClassMap") != null;
	}

	public String getAuthor() {
		return null;
	}

	public String getDescription() {
		return null;
	}

	public String getId() {
		return "velocity_plugin";
	}

	public String getName() {
		return "Velocity Plugin";
	}

	public String getWebsite() {
		return null;
	}

}
